Burp Suite User Forum

Login to post

Unable to install extensions that depend on jython

skosik | Last updated: Oct 11, 2021 05:56PM UTC

Hello, I have issues installing extensions that require jython. I have downloaded and installed the latest version of jython (2.7.2) and specified the path in Burpsuite, yet it fails to load. Burp version: Professional 2021.4.3 OS: Windows 10 Enterprise LTSC Here is the error output message: https://pastebin.com/sMLFGpWJ If you can help me with this, I would be very thankful. Have a nice day

Hannah, PortSwigger Agent | Last updated: Oct 12, 2021 08:34AM UTC

Hi Is this happening for every extension you try to install that uses Jython or just one specific one? Are you installing your extension from the BApp Store, or is this a custom extension?

skosik | Last updated: Oct 13, 2021 04:16PM UTC

Hello Hannah, thank you for your answer. It is happening only when I try to install an extension that uses Jython. Other extensions are not affected. Regarding the use of BApp Store - yes I used it to install an extension.

Hannah, PortSwigger Agent | Last updated: Oct 14, 2021 09:48AM UTC

Thanks for that information! Could you drop us an email at support@portswigger.net with the following: - Your diagnostics information? You can find this by going to "Help > Diagnostics" within Burp. - A screenshot of your "Extender > Options" page. Do any error messages appear in Burp when you try to load the BApp - these should be in the bottom right of the BApp Store page.

skosik | Last updated: Oct 15, 2021 01:31PM UTC

Email sent.

You need to Log in to post a reply. Or register here, for free.